Bug 1207917 - Crashes with "Unable to start GeoClue client"
Summary: Crashes with "Unable to start GeoClue client"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redshift   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miloš Komarčević
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-01 01:36 UTC by Brandon Egbert
Modified: 2016-01-28 16:04 UTC (History)
7 users (show)

Fixed In Version: redshift-1.10-4.fc23 redshift-1.10-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 21:20:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brandon Egbert 2015-04-01 01:36:41 UTC
Description of problem: When clicking the Redshift icon in the system tray it gives an error and closes.



Version-Release number of selected component (if applicable):
1.10-1.fc21


How reproducible:
Occurs every time on fresh install.

Steps to Reproduce:
1. Install redshift and redshift-gtk
2. Attempt to open Redshift from the Gnome status tray.

Actual results:
"Failed to run Redshift
Trying location provider `geoclue2'...
Unable to start GeoClue client: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Geolocation disabled for UID 1000.
Unable to connect to GeoClue.
Unable to get location from provider."

Expected results:
Not crashing with an error, opening the configuration screen.


Additional info:
Can be fixed by adding
"[redshift]
allowed=true
system=false
users="
to /etc/geoclue/geoclue.conf

Comment 1 Jakub Jelen 2015-05-26 15:24:08 UTC
This is not safe default, it is not working out of the box, which is bad.

There is no way to package this thing into redshift rpm and better solution would be to update geoclue2 package. This is being worked on as a bz1214978.

Other way would be to use manual configuration as default, but in this case probably almost nobody would use geoclue.

Comment 2 Fedora End Of Life 2015-11-04 11:37:50 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Kevin R. Page 2015-11-16 09:09:51 UTC
Bug #1214978 has more information, and a proposed fix, for this bug, although an updated package with the upstream fix has not yet been incorporated in F23.

Comment 4 Fedora Update System 2015-11-23 21:46:57 UTC
redshift-1.10-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-53169cd291

Comment 5 Fedora Update System 2015-11-23 21:47:12 UTC
redshift-1.10-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b72345bc4

Comment 6 Fedora Update System 2015-11-25 02:55:00 UTC
redshift-1.10-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update redshift'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-53169cd291

Comment 7 Fedora Update System 2015-11-26 01:22:39 UTC
redshift-1.10-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update redshift'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2b72345bc4

Comment 8 Fedora Update System 2015-11-26 02:27:18 UTC
redshift-1.10-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update redshift'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-329c6c59e4

Comment 9 Fedora Update System 2015-11-30 21:20:35 UTC
redshift-1.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-12-04 21:21:08 UTC
redshift-1.10-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 sheepdestroyer 2016-01-28 16:04:04 UTC
I am using redshift-1.10-4.fc23 and still had the issue. The update did not solve the problem for me and I had to manually edit /etc/geoclue/geoclue.conf to make it work.


Note You need to log in before you can comment on or make changes to this bug.